Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## messenger
Class FXPricingMessenger

    java.lang.Object
      messenger.FXPricingMessenger

    public class FXPricingMessenger

extends java.lang.Object

Contains methods to subscribe and unsubscribe to prices from the server.

Field Summary
`static int` | `DEFAULT_PORT_1`
`static int` | `DEFAULT_PORT_2`
`static java.lang.String` | `DEFAULT_SESSION_ID_1`
`static java.lang.String` | `DEFAULT_SESSION_ID_2`
`protected quickfix.Initiator` | `initiator`
`protected quickfix.SessionID` | `sessionID`

Constructor Summary
`FXPricingMessenger(FXPricingListener listener)` Constructor which configures the messager for connecting to the server.
`FXPricingMessenger(FXPricingListener listener, java.lang.String serverID, int portNumber)` Constructor which configures the messager specifying session ID and port number.

Method Summary
`protected void` | `checkCurrencyPair(java.lang.String currencyPair)`
`protected static void` | `checkForNull(java.lang.Object o)`
`void` | `connect()` Start accepting connections.
`void` | `disconnect()` Stops all sessions, optionally waiting for logout completion.
`protected void` | `initialiseFields(messenger.FXConnectionApplication fixApp, java.lang.String targetCompID, int portNumber)`
`void` | `subscribe(java.lang.String currencyPair)` Subscribes to a currency pair.
`void` | `unsubscribe(java.lang.String currencyPair)` Unsubscribes to a currency pair.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SESSION_ID_1

    public static final java.lang.String DEFAULT_SESSION_ID_1

See Also:
  Constant Field Values

### DEFAULT_SESSION_ID_2

    public static final java.lang.String DEFAULT_SESSION_ID_2

See Also:
  Constant Field Values

### DEFAULT_PORT_1

    public static final int DEFAULT_PORT_1

See Also:
  Constant Field Values

### DEFAULT_PORT_2

    public static final int DEFAULT_PORT_2

See Also:
  Constant Field Values

### initiator

    protected quickfix.Initiator initiator

### sessionID

    protected quickfix.SessionID sessionID

Constructor Detail

### FXPricingMessenger

    public FXPricingMessenger(FXPricingListener listener)

  Constructor which configures the messager for connecting to the server. Requires: listener is not null

  Parameters:
    `listener` - Listener for callbacks.

### FXPricingMessenger

    public FXPricingMessenger(FXPricingListener listener,
                              java.lang.String serverID,
                              int portNumber)

  Constructor which configures the messager specifying session ID and port number.

  Parameters:
    `listener` - for callbacks
    `sessionID` - session ID
    `portNumber` - port number

Method Detail

### subscribe

    public void subscribe(java.lang.String currencyPair)

  Subscribes to a currency pair. Requires: a connection to the server exists and currencyPair is in format XXX/YYY.

  Parameters:
    `currencyPair` - Should be in string format. e.g. GBP/USD

### unsubscribe

    public void unsubscribe(java.lang.String currencyPair)

  Unsubscribes to a currency pair. Requires: a connection to the server exists and currencyPair is in format XXX/YYY.

  Parameters:
    `currencyPair` - Should be in string format. e.g. GBP/USD

### connect

    public void connect()

  Start accepting connections.

### disconnect

    public void disconnect()

  Stops all sessions, optionally waiting for logout completion.

### initialiseFields

    protected void initialiseFields(messenger.FXConnectionApplication fixApp,
                                    java.lang.String targetCompID,
                                    int portNumber)

### checkForNull

    protected static void checkForNull(java.lang.Object o)

### checkCurrencyPair

    protected void checkCurrencyPair(java.lang.String currencyPair)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD